<div>
    <h1>Thread Block testing</h1>
    <div class="spaced">
        Create in {{ timePassed }} MS
    </div>
    <div class="spaced">
        <input type="number" [(ngModel)]="countTo">
    </div>
    <div class="spaced">
        <button (click)="callTestSimple()">Excel Generation Simple</button>
    </div>
    <div class="spaced">
        <button (click)="callTestWorker()">Excel Generation Worker</button>
    </div>
    <div class="spaced">
        Counter: {{counter}}
    </div>
    <div class="spaced">
        <button (click)="increaseCounter()">Count!</button>
    </div>
    <div class="spaced">
        <input type="number" [(ngModel)]="maxCount">
    </div>
    <div class="spaced">
        Counter: {{message}}
    </div>
    <div class="spaced">
        <button (click)="callUpdatesSimple()">Post Updates Simple</button>
    </div>
    <div class="spaced">
        <button (click)="callUpdatesWorker()">Post Updates Worker</button>
    </div>
</div>